Skip to main content
GET
/
domains
/
{public_id}
Get a mailbox domain
curl --request GET \
  --url https://app.sendmux.ai/api/v1/domains/{public_id} \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "id": "mdom_clxxxxxxxxxxxxxxxxxxxxxxxxx",
    "domain": "mail.acme.com",
    "verification_status": "pending",
    "ses_dkim_status": "<string>",
    "verified_at": "<string>",
    "created_at": "<string>",
    "dns_records": {
      "mx": [
        {
          "priority": 10,
          "target": "mail.sendmux.ai"
        }
      ],
      "spf": {
        "name": "_sendmux.acme.com",
        "value": "sendmux-verify=team_abc123"
      },
      "dmarc": {
        "name": "_sendmux.acme.com",
        "value": "sendmux-verify=team_abc123"
      },
      "dkim": [
        {
          "name": "_sendmux.acme.com",
          "value": "sendmux-verify=team_abc123"
        }
      ],
      "verification": {
        "name": "_sendmux.acme.com",
        "value": "sendmux-verify=team_abc123"
      }
    }
  },
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  }
}

Authorizations

Authorization
string
header
required

Sendmux API key. Obtain from the dashboard under API Keys. Format: smx_root_...

Path Parameters

public_id
string
required

Domain public ID

Example:

"mdom_clxxxxxxxxxxxxxxxxxxxxxxxxx"

Response

Domain

ok
enum<boolean>
required
Available options:
true
data
object
required
meta
object
required